function y=exc10(t,u)

% rate constants 
k11 = 6e5;         
k12 = 3.4e10;      
k21 = 1e10;
k22 = 2.5e-5;

% reaction rates 
r1 = k11*u(1)*u(2);
r2 = k12*u(3)*u(4);
r3 = k21*u(4)*u(5);
r4 = k22*u(2);

y=zeros(size(u));

y(1) = r2-r1;        %NH3
y(2) = r2-r1+r3-r4;  %H2O
y(3) = r1-r2;        %NH4+
y(4) = r1-r2+r4-r3;  %OH-
y(5) = r4-r3;        %H+

%legend('NH_3','H_20','NH_4^+','OH^-','H^+')