function y=exc11(t,u)

Et = u(1)+u(6);

% rate constants
K1   = 1.03e5;  
k11  = 0;%1.5e4;  
k12  = k11/K1;  
K2   = 1.5e4;   
k21  = 0;%3.5;     
k22  = k21/K2;  
k31  = 0.53e-2;
k32  = 0.47e-2;
k4   = 1.05e-2;

% reaction rates
r11 = k11*u(1)*u(2); 
r12 = k12*u(3);
r21 = k21*u(4)*u(2); 
r22 = k22*u(1);
r31 = k31*u(1)*u(5);
r32 = k32*u(6);
r4  = k4*u(6);

y=zeros(size(u));

y(1) = r12-r11+r21-r22+r32-r31+r4;     %EH+
y(2) = 0;           %H+
y(3) = r11-r12;     %EH2+
y(4) = r22-r21;     %E
y(5) = r32-r31;     %S
y(6) = r31-r32-r4;  %EH+S
y(7) = r4;          %P
%y(8) = 0.0091*Et*u(5)/(u(5)+2.4338);

%legend('E','S','ES','P')