Tspan = linspace(0,5e4,3000);

T0 = 350
[t u] = ode15s('diff', Tspan, [0.1 0.1 0 0 T0]);

%b)
figure(1)
plot(t,u(:,1:4))
legend('C_6H_6','C_3H_7','Isopropylbensen','di-isopropylbensen')
ylabel('Koncentration (M)')
xlabel('Tid (s)')
grid

%b) ii)
%opt_b = [0.035 0.01 0.002 0.001]; %optimum
%Temp=300:50:450;
%plot(Tem,opt_b)

%c)
figure(2)
plot(t,u(:,5))
grid
ylabel('Temperatur (K)')
xlabel('Tid (s)')

%c) iii)
%opt_c = [0.5e-4 0.5e-4 0.004 0.0051 0.0051];
%Temp=450:-50:250;
%plot(Temp,opt_c)
%grid