Tspan = linspace(0,50,200);

[t u] = ode15s('diff', Tspan, [0.5 1 0 0 0]);

figure(1)
plot(t,u)
xlabel('Tid (h)')
ylabel('Koncentration (M)')
grid
legend('C_6H_6','Cl_2','C_6H_5Cl','C_6H_4Cl_2','HCl')

figure(2)
hold on
plot(t,u(:,3)./u(:,4),'r')
xlabel('Tid (h)')
ylabel('[C_6H_5Cl]/[C_6H_4Cl_2]')
%axis([0 max(t) 0 1])
grid