% data.m 
%
% TMA681 Tillmpad matematik K 1999
% Stig Larsson

% data for exercise on reactor stability 
disp('data for exercise on reactor stability')
% given data 
disp('given data')
q =         2.79 *10^(-4)         % m^3/s 
vol =       1.20                  % m^3 
cf =        5.00 *10^3            % mol/m^3 
Tf =      343.00                  % K 
DeltaH =  -83.70 *10^3            % J/mol 
cp =        4.19 *10^3            % J/(kg K) 
rho =       1.00 *10^3            % kg/m^3
kappa =     0.58 *10^3            % J/(m^2 s K) 
tau =  vol/q                      % s 

% measured reaction rates  
disp('measured reaction rates')
temperatures = [343 353 363 373 383 393 403]'                 % K 
rates        = 10^(-5)*[2.8 5.6 11.2 22.4 44.8 89.6 179.2]'   % s^(-1) 

% corresponding dimensionless variables 
disp('corresponding dimensionless variables') 
global temp rate; 
temp=temperatures/Tf
rate=rates*tau 

