function y = Dfunk1(x)
% funk1 - derivative of function y=x^2-2
% 
%   Syntax: 
%           y = Dfunk1(x)
%   Arguments: 
%           x - a real number
%   Returns: 
%           y - a real number
%           
%   Description:
%           Computes the derivative of the function y=x^2-2.  
%           
%   See also:
%

%----------------------------------------------------------------------
%   Bugs:
%
%   Date created: 
%          991017
%   Author:
%          Stig Larsson
%
%   Change history:
%
%                              +---------------------------------------+ 
%                              |     Matematik Kf/Kb 1999-2000         | 
%                              |     Copyright (c) 1999                | 
%                              |                                       | 
%                              |     Stig Larsson                      | 
%                              |     Mathematics                       | 
%                              |     Chalmers University of Technology | 
%                              |     SE-412 96 Goteborg                | 
%                              |     SWEDEN                            |     
%                              |     stig@math.chalmers.se             |     
%                              |     http://www.math.chalmers.se/~stig |     
%------------------------------+---------------------------------------+
y=2*x;


