#!/usr/bin/perl 

require "Lib/cgi-lib.pl";

MAIN: 
{

    $presfil="Lib/kf1kb1_ht00_alab_pres.txt";
#
    &PrintHead;
#
    if (&ReadParse(*input)) {
        &ProcessForm;
        sleep 3;
        &PrintGroups;
    } else {
        &PrintForm;
        &PrintGroups;
    }
#
    &PrintFoot;
}

sub PrintHead {

    print &PrintHeader;

print <<END;

<TITLE>TMA195 Analys och linj&auml;r algebra Kf/Kb, del B, ht00 -
Projektpresentation</TITLE>  

<body text="#000099" bgcolor="#FFFFFF"
link="#000099" vlink="#3333FF" alink="#000088">
<!--  <BODY BGCOLOR="#FFFFFF"> -->

<img SRC="http://www.md.chalmers.se/~nen/kfkbbar.gif" height=8 width=100%>
<p>

<center>
<h1>Analys och linj&auml;r algebra Kf/Kb, del B - Projektpresentation</h1>
</center>

END

    $agent=$ENV{'HTTP_USER_AGENT'};
    if($agent =~ m/NCSA_Mosaic/) {
        print "<b>OBS: Du anv&auml;nder Mosaic, som tyv&auml;rr inte\n";
        print "klarar att visa detta.\n";
        print "Anv&auml;nd n&aring;gon annan WWW-l&auml;sare,\n";
        print "t.ex. lynx, netscape, arena eller hotjava.</b>\n<p>\n";
    }
}

sub PrintForm {

    print "Presentationerna &auml;ger rum p&aring; torsdag i ";
    print "l&auml;svecka 7 (den 7/12)\n";
    print "klockan 10:00 - 12:00.\n";
    print "<p>\n";
    print "F&ouml;ljande fem salar st&aring;r till v&aring;rt ";
    print "f&ouml;rfogande:";
    print "<p>\n";
    print "<table cellspacing=5>\n";
    print "<tr>\n";
    print "<td> S1, S4 </td> <td> p&aring; Matematiskt Centrum </td>\n";
    print "</tr>\n<tr>\n";
    print "<td> KS2 </td> <td> i K-huset </td>\n";
    print "</tr>\n<tr>\n";
    print "<td> FL10, FL12 </td> <td> i F-huset </td>\n";
    print "</tr>\n";
    print "</table>\n";
    print "<p>\n";

    print "F&ouml;r att anm&auml;la er fyller ni i projekttitel\n";
    print "och era namn\n";
    print "(och email-adresser) nedan, samt v&auml;ljer en sal\n";
    print "med lediga platser.\n";
    print "Tryck slutligen p&aring; \"Anm&auml;l oss\", s&aring;\n";
    print "registreras er anm&auml;lan. (Vill ni byta sal,\n";
    print "<A HREF=\"mailto:stig\@math.chalmers.se\">skicka ett brev\n";
    print "till mig</A>, s&aring; ordnar jag det.)\n<p>\n";

    print "<FORM METHOD=\"POST\" ACTION=\"presentation.cgi\">\n";

    print "<p> <table cellspacing=5>\n";
    print "<tr>\n";

    print "<td> Projekttitel: </td> ";
    print "<td> <INPUT NAME=\"nytitel\" SIZE=30></td>\n";
    print "</tr>\n<tr>\n";

    for($counter = 1; $counter < 5; $counter++)
    {
	print "<td> Namn (gruppmedlem $counter): </td> ";
	print "<td> <INPUT NAME=\"nynamn$counter\" SIZE=30></td>\n";

	print "<td> Email: </td> ";
	print "<td> <INPUT NAME=\"nyemail$counter\" SIZE=30 ";
	print "VALUE=\"\@chestud.chalmers.se\"></td>\n";

	print "</tr>\n<tr>\n";
    }


    print "<td> Sal: </td> <td> <SELECT NAME=\"nysal\">\n";
    print "<OPTION VALUE=\"S1:\"> S1:\n";
    print "<OPTION VALUE=\"S4:\"> S4:\n";
    print "<OPTION VALUE=\"KS2:\"> KS2:\n";
    print "<OPTION VALUE=\"FL10:\"> FL10:\n";
    print "<OPTION VALUE=\"FL12:\"> FL12:\n";
    print "</SELECT></td>\n</tr>\n</table> </p>\n<p>\n";

    print "<INPUT TYPE=\"submit\" VALUE=\"Anm&auml;l oss\">\n";

    print "</FORM>\n";
    print "<p>\n";
}

sub ProcessForm {

    $nytitel=$input{'nytitel'};

    for($counter = 1; $counter < 5; $counter++)
    {
	@nynamn[$counter - 1]=$input{"nynamn$counter"};
	@nyemail[$counter - 1]=$input{"nyemail$counter"};
    }

#    $nynamn1=$input{'nynamn1'};
#    $nyemail1=$input{'nyemail1'};

#    $nynamn2=$input{'nynamn2'};
#    $nyemail2=$input{'nyemail2'};

#    $nynamn3=$input{'nynamn3'};
#    $nyemail3=$input{'nyemail3'};

#    $nynamn4=$input{'nynamn4'};
#    $nyemail4=$input{'nyemail4'};

    $nysal=$input{'nysal'};

    $dator=$ENV{'REMOTE_HOST'};
    $tid=time;

#    unless($dator=~m/\.chalmers\.se$/) {
#        print "<strong>It is not possible to submit";
#        print " from outside Chalmers. </strong>\n<p>\n";
#        &PrintFoot;
#        exit;
#    }

    if($nytitel eq '' || $nytitel=~m![/\|\;]!)
    {
        print "<strong>Ni m&aring;ste ange projekttitel";
        print " (utan konstiga tecken).\n";
        print "<A HREF=\"presentation.cgi\">";
        print "F&ouml;rs&ouml;k igen</A></strong>\n<p>\n";
        &PrintFoot;
        exit;
    }

    if($nynamn[0] eq '' || $nynamn[0]=~m![/\|\;]! || $nyemail[0]=~m![/\|\;]!)
    {
        print "<strong>Ni m&aring;ste ange namn";
        print " (utan konstiga tecken).\n";
        print "<A HREF=\"presentation.cgi\">";
        print "F&ouml;rs&ouml;k igen</A></strong>\n<p>\n";
        &PrintFoot;
        exit;
    }

    for($counter = 1; $counter < 4; $counter++)
    {
	if($nynamn[$counter]=~m![/\|\;]! || $nyemail[$counter]=~m![/\|\;]!)
	{
	    print "<strong>Ni m&aring;ste ange namn";
	    print " (utan konstiga tecken).\n";
	    print "<A HREF=\"presentation.cgi\">";
	    print "F&ouml;rs&ouml;k igen</A></strong>\n<p>\n";
	    &PrintFoot;
	    exit;
	}
    }

    open(FIL,"<$presfil");
    @data=(<FIL>);

    $count=0;

    for(@data) {
        if($count==0) {
          $count += s!^$nysal\|\|!$nysal|$nytitel|$nynamn[0]|$nyemail[0]|$nynamn[1]|$nyemail[1]|$nynamn[2]|$nyemail[2]|$nynamn[3]|$nyemail[3]|$dator|$tid!o;
        }
    }

    unless($count == 1) {
        print "<strong>N&aring;got gick fel, kanske hann n&aring;gon\n"; 
        print "annan grupp ta den sista platsen i salen precis f&ouml;re\n";
        print "er. :-(\n";
        print "<A HREF=\"presentation.cgi\">";
        print "F&ouml;rs&ouml;k igen</A></strong>\n<p>\n";
        &PrintFoot;
        exit;
    }

    close(FIL);

    open(FIL,">$presfil");
    print FIL @data;
    close(FIL);

    print "<strong>Er anm&auml;lan &auml;r nu registrerad.\n";
    print "OBS! Kontrollera nedan att ni kommit med i salen ni valde.\n";
    print "</strong>\n<p>\n";

    print "Tillbaka till\n";
    print "<a href=\"http://www.md.chalmers.se/Centres/Phi/education/";
    print "courses/2000/ala-b/index.html\">kursens hemsida</a>.\n<p>\n";

}

sub PrintGroups {

#    %handledare = (
#                    'Kf: grupp 1','Vakant',
#                    'Kf: grupp 2','Hkan J',
#                    'Kf: grupp 3','Anders L',
#                    'Kf: grupp 4','Axel M',
#                    'Kb: grupp 1','Andreas D',
#                    'Kb: grupp 2','Gustav G',
#                    'Kb: grupp 3','Johan H',
#                    'Kb: grupp 4','Sanja K',
#                    'Kb: grupp 5','Johan N',
#                    'Kb: grupp 6','Per S',
#                    'Kb: grupp 7','Tea S',
#                    'Kb: grupp 8','Sara ',
#    );

    open(FIL,"<$presfil");

    $first=1;
#    $backgroundcolour="#FFB8E8"; # "Liseberg"
    $backgroundcolour1="#FFE9FF"; # "MyPink"
#    $backgroundcolour2="#ADDCE3"; # "PowderBlue"
    $backgroundcolour2="#E3E4Fa"; # "Lavender"
    $titlecolour="#ADDCE3"; # "PowderBlue"

    print "<p> <table width=100% cellspacing=5>\n";
    print "<tr valign=top> <td width=20%> ";

    while(<FIL>) {

        ($sal,$titel,@namn[0],@email[0],@namn[1],@email[1],@namn[2],@email[2],@namn[3],@email[3])=split(/\|/);

	if($first==1) {
	    $gcounter=1;
	    print "<table width=100%>\n";
	    $colour=$backgroundcolour1;
	    print "<tr> <th> $sal </th> </tr>\n";
	    print "<tr bgcolor=$titlecolour> <td> ";
	    if($titel eq "") {
#		print "<font color=$titlecolour>tom</font>";
		print "<tt>projekttitel</tt>";
		print "</td> </tr>\n";
		for($counter = 1; $counter < 5; $counter++)
		{
		   print "<tr bgcolor=$colour> <td> ";
		   print "<font color=$colour>tom</font>";
		   print " </td> </tr>\n";
		   if($colour eq $backgroundcolour1) {
		       $colour=$backgroundcolour2;
		   } else {
		       $colour=$backgroundcolour1;
		   }
		}
		print "<tr bgcolor=#FFFFFF> <td> <font color=#FFFFFF>tom</font> </td> </tr>";
	    } else {
		print "<b>$gcounter. $titel</b>";
		print "</td> </tr>\n";
		for($counter = 1; $counter < 5; $counter++)
		{
		    print "<tr bgcolor=$colour> <td> ";
		    if($namn[$counter - 1] eq "") {
			print "<font color=$colour>tom</font>";
		    } else {
			print "$namn[$counter - 1]";
		    }
		    print " </td> </tr>\n";
		    if($colour eq $backgroundcolour1) {
			$colour=$backgroundcolour2;
		    } else {
			$colour=$backgroundcolour1;
		    }
		}
		print "<tr bgcolor=#FFFFFF> <td> <font color=#FFFFFF>tom</font> </td> </tr>";
	    }
            
	    $aktuellsal=$sal;
	    $linebreakcounter=0;
            $first=0;
	} elsif($aktuellsal eq $sal) {


	    $gcounter++;
	    $colour=$backgroundcolour1;
	    print "<tr bgcolor=$titlecolour> <td> ";
            if($titel eq "") {
#                print "<font color=$titlecolour>tom</font>";
		print "<tt>projekttitel</tt>";
                print "</td> </tr>\n";
                for($counter = 1; $counter < 5; $counter++)
                {
                   print "<tr bgcolor=$colour> <td> ";
                   print "<font color=$colour>tom</font>";
                   print " </td> </tr>\n";
                   if($colour eq $backgroundcolour1) {
                       $colour=$backgroundcolour2;
                   } else {
                       $colour=$backgroundcolour1;
                   }
                }
		print "<tr bgcolor=#FFFFFF> <td> <font color=#FFFFFF>tom</font> </td> </tr>";
            } else {
                print "<b>$gcounter. $titel</b>";
                print "</td> </tr>\n";
                for($counter = 1; $counter < 5; $counter++)
                {
                    print "<tr bgcolor=$colour> <td> ";
                    if($namn[$counter - 1] eq "") {
                        print "<font color=$colour>tom</font>";
                    } else {
                        print "$namn[$counter - 1]";
                    }
                    print " </td> </tr>\n";
                    if($colour eq $backgroundcolour1) {
                        $colour=$backgroundcolour2;
                    } else {
                        $colour=$backgroundcolour1;
                    }
                }
		print "<tr bgcolor=#FFFFFF> <td> <font color=#FFFFFF>tom</font> </td> </tr>";
            }

	} else {
	    print "</table> </td>\n";
	    $linebreakcounter++;
	    if($linebreakcounter==5) {
	        print "</tr> </table> </p>\n";
                print "<p> <table width=100% cellspacing=5>\n";
                print "<tr valign=top> ";
		$linebreakcounter=0;
	    }
            print "<td width=20%> ";
	    $gcounter=1;
	    print "<table width=100%>\n";
	    $colour=$backgroundcolour1;
	    print "<tr> <th> $sal </th> </tr>\n";
            print "<tr bgcolor=$titlecolour> <td> ";

            if($titel eq "") {
#                print "<font color=$titlecolour>tom</font>";
		print "<tt>projekttitel</tt>";
                print "</td> </tr>\n";
                for($counter = 1; $counter < 5; $counter++)
                {
                   print "<tr bgcolor=$colour> <td> ";
                   print "<font color=$colour>tom</font>";
                   print " </td> </tr>\n";
                   if($colour eq $backgroundcolour1) {
                       $colour=$backgroundcolour2;
                   } else {
                       $colour=$backgroundcolour1;
                   }
                }
		print "<tr bgcolor=#FFFFFF> <td> <font color=#FFFFFF>tom</font> </td> </tr>";
            } else {
                print "<b>$gcounter. $titel</b>";
                print "</td> </tr>\n";
                for($counter = 1; $counter < 5; $counter++)
                {
                    print "<tr bgcolor=$colour> <td> ";
                    if($namn[$counter - 1] eq "") {
                        print "<font color=$colour>tom</font>";
                    } else {
                        print "$namn[$counter - 1]";
                    }
                    print " </td> </tr>\n";
                    if($colour eq $backgroundcolour1) {
                        $colour=$backgroundcolour2;
                    } else {
                        $colour=$backgroundcolour1;
                    }
                }
		print "<tr bgcolor=#FFFFFF> <td> <font color=#FFFFFF>tom</font> </td> </tr>";
            }

	    $aktuellsal=$sal;
	}

    }

    print "</table> </td>\n";
    print "</tr> </table> </p>\n";

}

sub PrintFoot {

print <<ENDFOOT;

<img SRC="http://www.md.chalmers.se/~nen/kfkbbar.gif" height=8 width=100%>

<I><FONT SIZE=-1>Automatically generated for
<a href="http://www.md.chalmers.se/~stig">Stig Larsson</a>.
</FONT></I>

ENDFOOT

}
