global pH AnilinOKT

i=0;
AnilinOKT = 1e-3;

%-------------Sj---------------
ph =[3 3.5 4 4.5 5 6 7];
for pH = ph
   i = i+1
   x = newton('sopfunk',[1 1e-7 1 1]',1e-5);
   AnilinOKT1(i) = x(4);
   AnilinAQ1(i)  = x(3)+x(1);
end

%-------------Regn--------------

AnilinOKT2(1) = AnilinOKT;
AnilinAQ2(1)  = 0;

pH =4;

for k = 1:170
      x = newton('sopfunk',[1 1e-7 1 1]',1e-5);
      AnilinAQ2 = x(3)+x(1);
      AnilinOKT2(k+1) = x(4);
      AnilinOKT = AnilinOKT2(k+1);
end

figure(1)
plot(ph,AnilinAQ1,ph,AnilinOKT1,'--')
xlabel('pH')
ylabel('M')
title('Kontakt med stationr vattenklla (Sj, krr etc.)')
legend('Anilin i vattenfasen','Anilin i oktanolfasen')
grid

figure(2)
hold on
plot(1:k+1,AnilinOKT2)
axis([0 k+1 0 1e-3])
grid
title('Anilinurlakning pga regn')
xlabel('Regndagar (regncykler)')
ylabel('M')