T = linspace(200,400,1000);
RT = 8.314*T;
deltaH = [-107.72 -109.42].*1e3;

k11 = 3.74e5*exp(-7390./T); 
k12 = k11.*exp(deltaH(1)./RT);
k21 = 3.70e8*exp(-10000./T);
k22 = k21.*exp(deltaH(2)./RT);

plot(T,k11,T,k12,T,k21,T,k22)
legend('k_1_1','k_1_2','k_2_1','k_2_2')
xlabel('Temperatur (K)')
title('Temperaturberoendet hos hastighetskonstanterna')
grid