tid = 3600*24*365;

Tspan = linspace(0,tid*3,1000);

[t u] = ode15s('diff', Tspan, [7*10^15 0 7*10^16  0 0 0]);

figure(1)
plot(t/tid,u(:,4))
title('Ozonkoncentration [O_3] ( b) ii) )')
xlabel('Tid (r)')
ylabel('[O_3] (molekyl/cm^3)')
legend('[O_3]','0.9[O_3]','[Cl] = 10^3')
grid

figure(2)
plot(t/tid,u(:,4)./u(:,3),'r')
title('Ozonhalt ( b) iii) )')
ylabel('Ozonhalt [O_3]/[M]')
xlabel('Tid (r)')
grid

%legend('O_2','O','M','O_3','Cl','ClO')
