% oxidation of NO to NO2.
% Atkins and Jones, first edition, pp. 624-625. 

T=100

% [t,u]=ode_cg1('no2', [0, T], [.5; 1; 0; 0],.001); 
[t,u]=my_ode('no2', [0, T], [.5; 1; 0; 0],.01); 

figure(1)
clf
plot(t,u)

x=no2a(u);

hold on 

plot(t,50*x,'k.')

axis([0 t(length(t)) 0 2])
