function yprime = styv(t,y)
% yprime = styv(t,y) = A*y;
% the second matrix A is obtained essentially by symmetrizing 
% the first one:
% A approx = -0.001*A'*A; 
% the third matrix A is obtained by a small change of the 2,2 element 
% of the second one;
%
% A=-1*[1000 999; 0     1];   %  cond(A) = 1.9980e+03
% A=-1*[1000 999; 999 998];   %  cond(A) = 3.9920e+06, weakly unstable
% A=-1*[1000 999; 999 999];   %  cond(A) = 3.9980e+03

A=-1*[1000 999; 999 999]; 		%  cond(A) = 3.9980e+03
yprime=A*y;
