function w=kemi(z)
% Exempel 2, sid 55, 
% Inledande kemi, vningsuppgifter, oorganisk kemi, 1997
% Syntax:   w=kemi(z) 
% Example:  newton('kemi',[1;1],1e-5) solves the system of equations. 
% Scaling:  z(1)=x*1e3, z(2)=y*1e3 . 
%
% Stig Larsson, November 1999

w=zeros(size(z));

w(1) = z(1)*(3*z(1)-z(2))^3 - 10^(12-10.49);
w(2) = z(2)/( (3*z(1)-z(2)) * (500 - z(2)) ) - 10^(.74-3);

