% Molecule, Molecule visualization and computation
% Version 1.0
% 
% Functions.
%     moleculeRead       - Read a molecule from file
%     moleculePlot       - Plot a molecule 
%     moleculeNeighbours - Find atoms linked through a bond
%
% Molecules.
%     1BFV.mpdb         - Immunoglobulin (large!)
%     aspirin.mpdb      - Acetylsalicylic acid, Aspirin
%     cholesterol.mpdb  - Cholesterol
%     ibuprofen.mpdb    - Ibuprofen
%     prozac-s.mpdb     - Prozac
%     valium.mpdb       - Valium
%     vit-c.mpdb        - Ascorbic acid, Vitamin C
%
%     Copyright (c) 1999  
%
%     Marten Levenstam, Klas Samuelsson 
%     Dep. of Mathematics                
%     Chalmers University of Technology  
%     S-412 96 Gothenburg                
%     SWEDEN
%     martenl@math.chalmers.se               
%     klassam@math.chalmers.se               
